Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.ps.dsc.events
Class AbstractResourcesDSCComment

    java.lang.Object
      org.apache.xmlgraphics.ps.dsc.events.AbstractEvent
          org.apache.xmlgraphics.ps.dsc.events.AbstractDSCComment
              org.apache.xmlgraphics.ps.dsc.events.AbstractResourcesDSCComment

All Implemented Interfaces:
  DSCParserConstants, DSCComment, DSCEvent

Direct Known Subclasses:
  DSCCommentDocumentNeededResources, DSCCommentDocumentSuppliedResources, DSCCommentPageResources

    public abstract class AbstractResourcesDSCComment

extends AbstractDSCComment

Abstract base class for Resource DSC comments (DocumentNeededResources, DocumentSuppliedResources and PageResources).

Field Summary

Fields inherited from interface org.apache.xmlgraphics.ps.dsc.DSCParserConstants
`COMMENT, DSC_COMMENT, EOF, HEADER_COMMENT, LINE`

Constructor Summary
`AbstractResourcesDSCComment()` Creates a new instance.
`AbstractResourcesDSCComment(Collection resources)` Creates a new instance.

Method Summary
`void` | `addResource(PSResource res)` Adds a new resource.
`void` | `addResources(Collection resources)` Adds a collection of resources.
`void` | `generate(PSGenerator gen)` Writes the event to the given PSGenerator.
`Set` | `getResources()` Returns the set of resources associated with this DSC comment.
`boolean` | `hasValues()` Indicates whether this DSC comment has values.
`void` | `parseValue(String value)` Parses the value of the DSC comment.

Methods inherited from class org.apache.xmlgraphics.ps.dsc.events.AbstractDSCComment
`asDSCComment, getEventType, isAtend, isDSCComment, splitParams`

Methods inherited from class org.apache.xmlgraphics.ps.dsc.events.AbstractEvent
`asLine, isComment, isHeaderComment, isLine`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.xmlgraphics.ps.dsc.events.DSCComment
`getName`

Methods inherited from interface org.apache.xmlgraphics.ps.dsc.events.DSCEvent
`asLine, isComment, isHeaderComment, isLine`

Constructor Detail

### AbstractResourcesDSCComment

    public AbstractResourcesDSCComment()

  Creates a new instance.

### AbstractResourcesDSCComment

    public AbstractResourcesDSCComment(Collection resources)

  Creates a new instance.

  Parameters:
    `resources` - a Collection of PSResource instances

Method Detail

### hasValues

    public boolean hasValues()

  Indicates whether this DSC comment has values.

  Returns:
    true if the DSC comment has values

### addResource

    public void addResource(PSResource res)

  Adds a new resource.

  Parameters:
    `res` - the resource

### addResources

    public void addResources(Collection resources)

  Adds a collection of resources.

  Parameters:
    `resources` - a Collection of PSResource instances.

### getResources

    public Set getResources()

  Returns the set of resources associated with this DSC comment.

  Returns:
    the set of resources

### parseValue

    public void parseValue(String value)

  Parses the value of the DSC comment.

  Parameters:
    `value` - the value

### generate

    public void generate(PSGenerator gen)
                  throws IOException

  Writes the event to the given PSGenerator.

  Parameters:
    `gen` - the PSGenerator to write to
  Throws:
    `IOException` - In case of an I/O error
  See Also:
    `DSCEvent.generate( org.apache.xmlgraphics.ps.PSGenerator)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.